#ifndef _CBEATANALYZER_H_
#define _CBEATANALYZER_H_

#include <list>
#include "CSGD_FModManager.h"

class CBeatAnalyzer
{
	float m_fvLeftChannel[1024];
	float m_fvRightChannel[1024];
	std::list<float> m_vHistoryBuffer;
	int m_nSoundID;
	double m_dDifficultyModifier;
	
public:
	CBeatAnalyzer(int nSoundID, double difficultyModifier);
	~CBeatAnalyzer(void);

	bool IsBeat(void);
};

#endif
